org.eclipse.swt.accessibility

## Class AccessibleTextAttributeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.swt.accessibility.AccessibleTextAttributeEvent

All Implemented Interfaces:
  Serializable

    public class AccessibleTextAttributeEvent
    extends EventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleAttribute or AccessibleEditableText messages to an accessible object.

Since:
  3.6
See Also:
  `AccessibleAttributeListener`, `AccessibleAttributeAdapter`, `AccessibleEditableTextListener`, `AccessibleEditableTextAdapter`, Serialized Form

### Field Summary

Fields
`String[]` `attributes` [in/out] an array of alternating key and value Strings that represent attributes that do not correspond to TextStyle fields
`int` `end` [in/out] the starting and ending offsets of the character range
`int` `offset` [in] the 0-based text offset for which to return attribute information
`String` `result` [out] Set this field to `ACC.OK` if the operation was completed successfully, and null otherwise.
`int` `start` [in/out] the starting and ending offsets of the character range
`TextStyle` `textStyle` [in/out] the TextStyle of the character range

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`AccessibleTextAttributeEvent(Object source)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### offset

    public int offset

[in] the 0-based text offset for which to return attribute information

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### start

    public int start

[in/out] the starting and ending offsets of the character range

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### end

    public int end

[in/out] the starting and ending offsets of the character range

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### textStyle

    public TextStyle textStyle

[in/out] the TextStyle of the character range

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### attributes

    public String[] attributes

[in/out] an array of alternating key and value Strings that represent attributes that do not correspond to TextStyle fields

See Also:
  `AccessibleAttributeListener.getTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`, `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

#### result

    public String result

[out] Set this field to `ACC.OK` if the operation was completed successfully, and null otherwise.

Since:
  3.7
See Also:
  `AccessibleEditableTextListener.setTextAttributes(org.eclipse.swt.accessibility.AccessibleTextAttributeEvent)`

### Constructor Detail

#### AccessibleTextAttributeEvent

    public AccessibleTextAttributeEvent(Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event